image:
  repository: deluan/navidrome
  tag: latest
  pullPolicy: IfNotPresent

env:
  - name: ND_MUSICFOLDER
    value: /music
  - name: ND_SCANINTERVAL
    value: "1m"

persistence:
  config:
    enabled: true
    mountPath: /data
    size: 10Gi
    accessMode: ReadWriteOnce
    storageClass: nfs-client
  music:
    enabled: true
    mountPath: /music
    size: 100Gi
    accessMode: ReadWriteMany
    storageClass: nfs-client

service:
  main:
    ports:
      http:
        port: 4533

ingress:
  main:
    enabled: true
    ingressClassName: traefik
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"
    hosts:
      - host: music.dvirlabs.com
        paths:
          - path: /
            pathType: Prefix
